# CompositeIOException (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.opengl
Class CompositeIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.newdawn.slick.opengl.CompositeIOException

All Implemented Interfaces:
  java.io.Serializable

    public class CompositeIOException

extends java.io.IOException

A collection of IOException that failed image data loading

Author:
  kevin
See Also:
  Serialized Form

Constructor Summary
`CompositeIOException()` Create a new composite IO Exception

Method Summary
`void` `addException(java.lang.Exception e)` Add an exception that caused this exceptino
`java.lang.String` `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompositeIOException

    public CompositeIOException()

  Create a new composite IO Exception

Method Detail

### addException

    public void addException(java.lang.Exception e)

  Add an exception that caused this exceptino

  Parameters:
    `e` - The exception

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  See Also:
    `Throwable.getMessage()`

Copyright © 2006 New Dawn Software. All Rights Reserved.